#!/usr/bin/perl

sub specsort {
	if (($a =~ /^_/) &&  ($b !=~ /^_/)) { return -1; }
	elsif (($b =~ /^_/) &&  ($a !=~ /^_/)) { return 1; }
	else { return ($a cmp $b)};
}


sub process_dir {

	my $my_dir = shift(@_);
	#print "Processing $my_dir\n";

	
	open (OUT, ">$my_dir/.dirindex") || die "cannot open $my_dir/.dirindex: $!";
	close (OUT);
	opendir(DIR, $my_dir);
	my $filecount = 0;

	foreach $file (sort readdir(DIR)) {
		unless ($file =~ /^\./ || $file =~ /^index/) {
			if (-d "$my_dir/$file") {
				#unless (-l "$my_dir/$file") {
					$thisdir = process_dir("$my_dir/$file");
					$file =~ s/ /_/g;
					open (OUT, ">>$my_dir/.dirindex") || die "cannot open $my_dir/.dirindex: $!";
					print OUT "$file\t$file ($thisdir)\n";
					close(OUT);
					$filecount += $thisdir;
				#}
			} else {
				$filecount++;
			}
		}	

	}

	#print "$my_dir has $filecount total\n";
	#close (OUT);
	return $filecount;
	

}

process_dir('.');



